ServiceException
Date: 2016-02-08

org.apache.avalon.framework.service

## Class ServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.avalon.framework.CascadingException
      - - org.apache.avalon.framework.service.ServiceException

- All Implemented Interfaces:
    java.io.Serializable, CascadingThrowable

      public class ServiceException
      extends CascadingException

  The exception thrown to indicate a problem with service. It is usually thrown by ServiceManager or ServiceSelector.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceException(java.lang.String message)` Deprecated. use the String,String version instead
    `ServiceException(java.lang.String key, java.lang.String message)` Construct a new `ServiceException` instance.
    `ServiceException(java.lang.String key, java.lang.String message, java.lang.Throwable throwable)` Construct a new `ServiceException` instance.
    `ServiceException(java.lang.String message, java.lang.Throwable throwable)` Deprecated. use the String,String,Throwable version instead

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Return the key that caused the exception.
    `java.lang.String` | `getMessage()` Override super's message to add role if applicable.
    `java.lang.String` | `getRole()` Deprecated. Use getKey() instead

    - ### Methods inherited from class org.apache.avalon.framework.CascadingException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceException

          public ServiceException(java.lang.String message,
                          java.lang.Throwable throwable)

      Deprecated. use the String,String,Throwable version instead
      Construct a new `ServiceException` instance.
      Parameters:
        `message` - the exception message
        `throwable` - the throwable

    - #### ServiceException

          public ServiceException(java.lang.String key,
                          java.lang.String message,
                          java.lang.Throwable throwable)

      Construct a new `ServiceException` instance.
      Parameters:
        `key` - the lookup key
        `message` - the exception message
        `throwable` - the throwable

    - #### ServiceException

          public ServiceException(java.lang.String message)

      Deprecated. use the String,String version instead
      Construct a new `ServiceException` instance.
      Parameters:
        `message` - the exception message

    - #### ServiceException

          public ServiceException(java.lang.String key,
                          java.lang.String message)

      Construct a new `ServiceException` instance.
      Parameters:
        `key` - the lookup key
        `message` - the exception message

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Return the key that caused the exception.
      Returns:
        the lookup key triggering the exception

    - #### getRole

          public java.lang.String getRole()

      Deprecated. Use getKey() instead
      Return the role that caused the exception
      Returns:
        the the lookup key triggering the exception

    - #### getMessage

          public java.lang.String getMessage()

      Override super's message to add role if applicable.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        a message.